/*========================================================================================================
 * ArcadeDrive.cpp
 *========================================================================================================
 *
 * File Description:
 *
 * This implements the IDrive interface to drive the robot using joysticks in a arcade
 * drive mode.
 *
 * Thus, the left axis will control speed (throttle) and the right axis will control direction
 * (steering). The speed control (throttle) will get a cubic profile while the steer control
 * will be direct (linear).
 *
 * Then, the left and right speeds are set by using the arcade drive equations where
 * the left side adds the steer value to the throttle value and the right side
 * subtracts the steer value from the trottle.
 *========================================================================================================
 *  Modifications:
 *  Date            Name            Description of Change
 *  18-Oct-2016     Joe Witcpalek   Created File
 *========================================================================================================*/

// Team 302 includes

//--------------------------------------------------------------------
// Method:      DrivePeriodic
// Description: This method will be called during the periodic loop
//              to drive the robot.  It will interact with the joysticks
//              to drive in arcade drive mode.
// Returns:     false = this mode is never done
//--------------------------------------------------------------------
bool ArcadeDrive::DrivePeriodic() const
{
    // Read the desired motor speeds
    float steer      = 1.0;
    float throttle   = 0.5

    // Convert to using arcade equations to give motor speeds on
    // both sides of the robot.
    float leftSpeed  = Throttle + steer;
    float rightSpeed = throttle - Steer;

    // TODO: Set the motors

    return false;
}
